Bug 543000 - Preupgrade leaves /boot/upgrade and grub entries after upgrade
Preupgrade leaves /boot/upgrade and grub entries after upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-01 07:51 EST by Juhani Jaakola
Modified: 2014-01-21 18:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:37:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Juhani Jaakola 2009-12-01 07:51:53 EST
Description of problem:
Preupgrade worked fine when I upgraded from Fedora 11 to Fedora 12. But after the upgrade grub.conf contains still entry "Upgrade to Fedora 12 (Constantine)" and directories /boot/upgrade and /var/cache/yum/preupgrade* exist and are non-empty.

Version-Release number of selected component (if applicable):
I executed preupgrade on a system which was updated to latest Fedora 11 packages on 25.11.2009.

How reproducible:
I tried this only once.

Steps to Reproduce:
1. Preupgrade Fedora 11 to Fedora 12
2. Look at grub.conf after the upgrade
3.
  
Actual results:
grub.conf contains still entry "Upgrade to Fedora 12 (Constantine)" and directories /boot/upgrade and /var/cache/yum/preupgrade* exist and are non-empty.

Expected results:
Only kernel entries in grub.conf, no directories /boot/upgrade and /var/cache/yum/preupgrade*

Additional info:
I had small /boot, so I had to load install.img from Internet.
Comment 1 Juhani Jaakola 2009-12-01 10:30:54 EST
Running "preupgrade --clean" did not help:

# preupgrade --clean
/usr/lib/python2.6/site-packages/yum/__init__.py:210: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Loaded plugins: blacklist, fastestmirror, refresh-packagekit, whiteout
No previous run to clean up

I don't know whether this has any significance, but the original Fedora 11 was not a new installation, but I have upgraded it several times.
Comment 2 Paul Bolle 2010-04-13 08:28:02 EDT
0) This will basically be a "me too" comment.

1) Similar situation (eg, also a small /boot and loading install.img from some FTP server; similar grub entry and non-empty temporary directories). The only difference seems to be that in my case it was a F10 -> F12 upgrade.
Comment 3 Bug Zapper 2010-04-28 07:28:52 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jens Petersen 2010-05-25 21:09:06 EDT
After upgrading to f13 I had

  /boot/upgrade:
  total used in directory 33478 available 21291
  -rw-r--r--. 1 root root 30343555 May  5 00:34 initrd.img
  -rw-r--r--. 1 root root  3794016 May  5 00:34 vmlinuz

which takes up enough room on my old 100M /boot
to prevent kernel updates from installing.
Comment 5 Bug Zapper 2011-06-02 13:15:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 10:37:25 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.